﻿@using Jumbula.Common.Helper
@model SportsClub.Models.ParentsInformationViewModel

@{
    ViewBag.Title = "   Parent information";
    ViewBag.IsRegistrantReport = true;
}
@using (Html.BeginForm("ParentInformation", "Registrant", FormMethod.Post, new { @id = "ParentInformation", @name = "myForm" }))
{
    @Html.AntiForgeryToken()
    <div class="container">

        <div class="title-page">
            @if (Model.PageStep == PageStep.Step1)
            {
                <h1>
                    Personal
                </h1>
            }
            @if (Model.PageStep == PageStep.Step2)
            {
                <h1>
                    Occupation
                </h1>
            }
            @if (Model.PageStep == PageStep.Step3)
            {
                <h1>
                    Address
                </h1>
            }
        </div>

        <div class="wrapper">
            <div id="wrapper-title">
                <span>
                    @if (Model.PageMode == PageMode.Edit)
                    {
                        @Model.FullName

                    }
                </span>
            </div>
            <div class="wrapper-content">
                <div id="resultTarget">
                    @if (Model.PageStep == PageStep.Step1)
                    {
                        @Html.Partial("_ParentInformation", Model)
                    }
                    @if (Model.PageStep == PageStep.Step2)
                    {
                        @Html.Partial("_ParentOccupation", Model)
                    }
                    @if (Model.PageStep == PageStep.Step3)
                    {
                        @Html.Partial("_ParentAddress", Model)
                    }
                </div>
            </div>
        </div>
    </div>
}

@section scripts {
    @Scripts.Render("~/bundles/Scripts/Common/Utilities/Mask/js");
    <script>

        function EditDetailsPlayer() {
            var newUrl = '@Url.Action("GetFamiliesProfile", "Registrant")';
            var form = $("#ParentInformation");
            var formData = form.serialize();
            $.ajax({
                type: 'Post',
                data: formData,
                url: "/Registrant/ParentInformation",
                cache: false,
                success: function (data) {
                    if (data.Status) {
                        window.location.href = newUrl;

                    }
                    else { $("#resultTarget").html(data); }
                },
                error: function (req) {
                    unblockUI();
                }
            });

            return false;
        }
        ///// Address State Fill by select Country
        $("#State").hide();
        $("#TextState").show();
        var state = @Html.Raw(Json.Encode(Model.State));


        if(@Html.Raw(Json.Encode(Model.Country)) == "Canada")
        {
            $("#State").show();
            $("#TextState").hide();

            FillStates("canada");

            var delay = 400;
            setTimeout(function () {  $("#State").val(state); }, delay);

        }else if (@Html.Raw(Json.Encode(Model.Country)) == "UnitedStates")
        {
            $("#State").show();
            $("#TextState").hide();

            FillStates("unitedstates");

            var delay = 400;
            setTimeout(function () {  $("#State").val(state); }, delay);
        }


        $('#countries').on('change', function () {

            FillStates(this.value);

        });

        function FillStates(country){
            $.ajax({
                url: '/Registrant/FillState',
                type: "GET",
                dataType: "JSON",
                data: { country: country },
                success: function (states) {
                    $("#State").html(""); // clear before appending new list

                    if (Object.keys(states).length == 0) {

                        $("#State").hide();
                        $("#TextState").show();
                    } else {

                        $("#State").show();
                        $("#TextState").hide();
                        $("#State").append('<option value=""></option>');
                        $.each(states, function (i, state) {
                            $("#State").append('<option value='+state.Value+'>'+state.Text+'</option>');
                        });
                    }

                }
            });
        }


    </script>

}
